Name:		dnsmasq
Version:	2.47
Release:	%mkrel 1
License:	GPLv2 or GPLv3
Group:		System/Servers
URL:		http://www.thekelleys.org.uk/dnsmasq
Conflicts:	bind
Source0:	http://www.thekelleys.org.uk/dnsmasq/%{name}-%{version}.tar.gz
Source1:	dnsmasq.sysconfig
Source2:	dnsmasq.init
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Summary:	A lightweight dhcp and caching nameserver
Requires:	%{name}-base = %{version}-%{release}
Requires(preun):	rpm-helper
Requires(post):	rpm-helper

%description
Dnsmasq is lightweight, easy to configure DNS forwarder and DHCP server. It
is designed to provide DNS and, optionally, DHCP, to a small network. It can
serve the names of local machines which are not in the global DNS. The DHCP
server integrates with the DNS server and allows machines with DHCP-allocated
addresses to appear in the DNS with names configured either in each host or
in a central configuration file. Dnsmasq supports static and dynamic DHCP
leases and BOOTP for network booting of diskless machines.

%package	base
Summary:	A lightweight dhcp and caching nameserver - base files without init scripts
Group:		Networking/Remote access
Conflicts:	dnsmasq < 2.45-2mdv

%description	base
Dnsmasq is lightweight, easy to configure DNS forwarder and DHCP server. It
is designed to provide DNS and, optionally, DHCP, to a small network. It can
serve the names of local machines which are not in the global DNS. The DHCP
server integrates with the DNS server and allows machines with DHCP-allocated
addresses to appear in the DNS with names configured either in each host or
in a central configuration file. Dnsmasq supports static and dynamic DHCP
leases and BOOTP for network booting of diskless machines.

This package contains the base files of the Dnsmasq server, without the init
scripts and global configuration files.

%prep
%setup -q
%build
%make

%install
rm -rf %{buildroot}
install -m755 %{SOURCE2} -D %{buildroot}%{_initrddir}/%{name}
install -m644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/sysconfig/%{name}

install -m644 dnsmasq.conf.example -D %{buildroot}%{_sysconfdir}/dnsmasq.conf

install -m755 -D src/dnsmasq %{buildroot}%{_sbindir}/dnsmasq
#ln -sf ../../%{_initrddir}/%{name} %{buildroot}/%{_sbindir}/rcdnsmasq
install -m644 man/dnsmasq.8 -D %{buildroot}%{_mandir}/man8/dnsmasq.8


%clean
rm -rf %{buildroot}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(-,root,root)
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/dnsmasq.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}

%files base
%doc CHANGELOG FAQ doc.html setup.html
%{_sbindir}/%{name}
%doc %{_mandir}/man8/%{name}*


%changelog
* Fri Feb 06 2009 Frederik Himpe <fhimpe@mandriva.org> 2.47-1mdv2009.1
+ Revision: 338234
- update to new version 2.47

* Fri Nov 14 2008 Frederik Himpe <fhimpe@mandriva.org> 2.46-1mdv2009.1
+ Revision: 303385
- update to new version 2.46

* Sun Oct 26 2008 Frederik Himpe <fhimpe@mandriva.org> 2.45-2mdv2009.1
+ Revision: 297520
- Create a subpackage dnsmasq-base which only contains the dnsmasq
  executable itself, without the init script and configuration files.
  This is used by the libvirt utilities to set up NAT networking
  for virtual machines.

* Mon Jul 21 2008 Michael Scherer <misc@mandriva.org> 2.45-1mdv2009.0
+ Revision: 239248
- update to new version 2.45

* Sat Jul 12 2008 Michael Scherer <misc@mandriva.org> 2.43-1mdv2009.0
+ Revision: 234004
- update to new version 2.43

* Sat Jun 14 2008 Jérôme Soyer <saispo@mandriva.org> 2.42-1mdv2009.0
+ Revision: 219150
- New release 2.42

* Fri Feb 15 2008 Michael Scherer <misc@mandriva.org> 2.41-2mdv2008.1
+ Revision: 168873
- fix bug #32645 by providing $named facility in lsb header
- add init info

* Wed Feb 13 2008 Michael Scherer <misc@mandriva.org> 2.41-1mdv2008.1
+ Revision: 167005
- update to 2.41
- revert to upstream archive compression

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 02 2007 Olivier Blin <oblin@mandriva.com> 2.39-1mdv2008.0
+ Revision: 58036
- 2.39


* Tue Feb 13 2007 Lenny Cartier <lenny@mandriva.com> 2.38-1mdv2007.0
+ Revision: 120393
- Update to 2.38

* Mon Feb 05 2007 Lenny Cartier <lenny@mandriva.com> 2.37-1mdv2007.1
+ Revision: 116468
- Update to 2.37

* Fri Dec 22 2006 Oden Eriksson <oeriksson@mandriva.com> 2.33-1mdv2007.1
+ Revision: 101650
- Import dnsmasq

* Tue Sep 05 2006 Jerome Soyer <saispo@mandriva.org> 2.33-1mdv2007.0
- 2.33

* Wed Jun 14 2006 Lenny Cartier <lenny@mandriva.com> 2.32-1mdv2007.0
- 2.32

* Wed May 10 2006 Lenny Cartier <lenny@mandriva.com> 2.31-1mdk
- 2.31

* Thu Apr 27 2006 Lenny Cartier <lenny@mandriva.com> 2.30-1mdk
- 2.30

* Wed Apr 19 2006 Lenny Cartier <lenny@mandriva.com> 2.28-1mdk
- 2.28

* Mon Mar 20 2006 Lenny Cartier <lenny@mandriva.com> 2.27-1mdk
- 2.27

* Mon Jan 23 2006 Lenny Cartier <lenny@mandriva.com> 2.26-1mdk
- 2.26

* Mon Jan 16 2006 Lenny Cartier <lenny@mandriva.com> 2.25-1mdk
- 2.25

* Mon Dec 19 2005 Michael Scherer <misc@mandriva.org> 2.24-1mdk
- 2.24
- mkrel
- add a config file to the initscript
- fix the initscript based on the one provided in the package
- fix Prereq

* Thu Mar 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.21-1mdk
- 2.21

* Mon Jan 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.20-1mdk
- 2.20

* Mon Nov 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.18-1mdk
- 2.18

* Mon Nov 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.17-1mdk
- 2.17

* Wed Sep 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.15-1mdk
- 2.15

* Tue Sep 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.14-1mdk
- 2.14

* Mon Aug 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.13-1mdk
- 2.13

* Wed Jul 28 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.9-1mdk
- 2.9
- leave stuff to spec-helper
- cosmetics

* Sat May 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.8-1mdk
- 2.8

* Fri May 07 2004 Florin <florin@mandrakesoft.com> 2.7-1mdk
- first mandrake release

